summaryrefslogtreecommitdiffstats
path: root/hosts/rpi2b-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-11-25 13:54:49 +0100
committerHolger Levsen <holger@layer-acht.org>2015-11-25 13:54:49 +0100
commit69f00384710a5d74f86c271ccd5bae682d68b1dd (patch)
tree73162ffd8079ea68df44898204164973f3b5e2e4 /hosts/rpi2b-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
parent19112edef8ecb6e7798cfbf0f463fb936cd86042 (diff)
downloadjenkins.debian.net-69f00384710a5d74f86c271ccd5bae682d68b1dd.tar.xz
reproducible: add seventh armhf build node, thanks again to vagrant
Diffstat (limited to 'hosts/rpi2b-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup')
-rwxr-xr-xhosts/rpi2b-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup17
1 files changed, 17 insertions, 0 deletions
diff --git a/hosts/rpi2b-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup b/hosts/rpi2b-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
new file mode 100755
index 00000000..bbea69fa
--- /dev/null
+++ b/hosts/rpi2b-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+BUILDDIR="${BUILDDIR:-/tmp/buildd}"
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -u "$BUILDDIR"
+ rmdir "$BUILDDIR"
+ mv /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+fi